org.eclipse.emf.facet.custom.metamodel.v0_3_0.query

## Interface URIImageQuery

All Superinterfaces:
  Query

    public interface URIImageQuery
    extends Query

A representation of the model object ' URI Image Query'.

The following features are supported:

- `Uri`

Since:
  0.3
See Also:
  `QueryPackage.getURIImageQuery()`
Generated:
Model:

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getUri()` Returns the value of the 'Uri' attribute.
`void` `setUri(java.lang.String value)` Sets the value of the '`Uri`' attribute.

### Methods inherited from interface org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible.Query

`isCanBeCached, isCanHaveSideEffects, setCanBeCached, setCanHaveSideEffects`

### Method Detail

#### getUri

    java.lang.String getUri()

Returns the value of the 'Uri' attribute.

If the meaning of the 'Uri' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Uri' attribute.
See Also:
  `setUri(String)`, `QueryPackage.getURIImageQuery_Uri()`
Generated:
Model:

#### setUri

    void setUri(java.lang.String value)

Sets the value of the '`Uri`' attribute.

Parameters:
  `value` - the new value of the 'Uri' attribute.
See Also:
  `getUri()`
Generated: